Package ru.bitel.bgbilling.modules.sberbank.server.bean

# Class TransactionManager

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.common.dao.AbstarctDaoConstant
ru.bitel.bgbilling.common.dao.AbstractDao<Transaction>
ru.bitel.bgbilling.common.dao.AbstractIdDao<Transaction>
ru.bitel.bgbilling.server.bean.AbstractTransactionManager<Transaction>
ru.bitel.bgbilling.modules.sberbank.server.bean.TransactionManager

public class TransactionManager extends AbstractTransactionManager<Transaction>

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.server.bean.AbstractTransactionManager

  `moduleSetup`

  ### Fields inherited from class ru.bitel.bgbilling.common.dao.AbstractDao

  `orderByPattern`

  ### Fields inherited from class ru.bitel.bgbilling.common.dao.AbstarctDaoConstant

  `con, ERROR, fields, moduleId, SQL_ALL, SQL_AND, SQL_CALC_FOUND_ROWS, SQL_DELETE, SQL_DISTINCT, SQL_EQ, SQL_EQCS, SQL_FROM, SQL_GROUP, SQL_IN, SQL_INSERT, SQL_JOIN, SQL_LEFT_JOIN, SQL_LIMIT, SQL_NOT_IN, SQL_ON, SQL_ON_DUPLICATE_KEY_UPDATE, SQL_ORDER, SQL_SELECT, SQL_SET, SQL_UPDATE, SQL_VALUES, SQL_WHERE, tableName`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TransactionManager(Connection con, int moduleId)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static void`
  `addTransactionParameters(Transaction transaction, String params)`
  `void`
  `addTransactionPayment(Transaction transaction, String transactionParameters)`
  `boolean`
  `checkSbpTransactionStatus(Transaction transaction)`
  `boolean`
  `checkTransactionStatus(Transaction transaction, boolean autopaymentTransaction)`
  `void`
  `doCheckRequest(int contractId, boolean autopaymentTransaction)`
  `boolean`
  `doCheckRequest(Transaction transaction)`
  `protected Transaction`
  `getFromRS(ResultSet rs)`
  `OAuthToken`
  `getOAuthToken(String scope)`
  `protected String`
  `getQueryById()`
  `Transaction`
  `newTransaction(int contractId, BigDecimal sum, boolean autopaymentTransaction, BGTransactionType transactionType)`
  `String`
  `paymentOrderBinding(Transaction transaction, Autopayment autopayment)`
  14.3.2.1.
  `Transaction`
  `registerOrder(int contractId, String contractTitle, String customerAddress, BigDecimal sum, Map<String,Object> dataMap, boolean autopaymentTransaction, boolean requestBindingId, String returnUrl)`
  `String`
  `sbpOrderCreation(String oauthToken, int contractId, BigDecimal sum)`
  `String`
  `sbpOrderStatus(String oauthToken, Transaction transaction)`
  `protected void`
  `setConnectionTimeout(HttpsURLConnection connection)`
  `boolean`
  `update(Transaction transaction, TransactionStatus newTransactionStatus)`
  `protected void`
  `updateImpl(Transaction transaction)`

  ### Methods inherited from class ru.bitel.bgbilling.server.bean.AbstractTransactionManager

  `checkColumn, doConnection, doConnection, executeQuerySumPage, getParameter, getParamString, getParamString, getParamString, getPaymentData, getTransactionSumColumn, psSetId, psSetStatus, queryId, queryStatus, searchTransaction, setParameter`

  ### Methods inherited from class ru.bitel.bgbilling.common.dao.AbstractIdDao

  `delete, executeUpdate, get, getAndDelete, getAndUpdate, opt, prepareStatement, sqlCommand, sqlCommandAndTable, sqlQuery, sqlWhereId`

  ### Methods inherited from class ru.bitel.bgbilling.common.dao.AbstractDao

  `delete, deleteImpl, eq, get, getById, getImpl, getListFromRS, getPeriod, getSQLOrder, list, list, listImpl, listImpl, listImplPS, listImplPS, ormFromResultSet, ormUpdateImpl, ormUpdateImpl, ormUpdateImpl, ormUpdateImpl, psSetPeriod, queryPeriod, setStatementParam, update`

  ### Methods inherited from class ru.bitel.bgbilling.common.dao.AbstarctDaoConstant

  `getSQLOrder, getTableName, sqlLimit`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### TransactionManager

    public TransactionManager(Connection con, int moduleId)

- ## Method Details

  - ### getFromRS

    protected Transaction getFromRS(ResultSet rs) throws SQLException
    Specified by:
      `getFromRS` in class `ru.bitel.bgbilling.common.dao.AbstractDao<Transaction>`
    Throws:
      `SQLException`

  - ### getQueryById

    protected String getQueryById()
    Overrides:
      `getQueryById` in class `ru.bitel.bgbilling.common.dao.AbstractDao<Transaction>`

  - ### update

    public boolean update(Transaction transaction, TransactionStatus newTransactionStatus) throws SQLException
    Throws:
      `SQLException`

  - ### updateImpl

    protected void updateImpl(Transaction transaction) throws SQLException
    Specified by:
      `updateImpl` in class `ru.bitel.bgbilling.common.dao.AbstractDao<Transaction>`
    Throws:
      `SQLException`

  - ### doCheckRequest

    public void doCheckRequest(int contractId, boolean autopaymentTransaction) throws Exception
    Throws:
      `Exception`

  - ### doCheckRequest

    public boolean doCheckRequest(Transaction transaction) throws Exception
    Throws:
      `Exception`

  - ### checkTransactionStatus

    public boolean checkTransactionStatus(Transaction transaction, boolean autopaymentTransaction) throws Exception
    Throws:
      `Exception`

  - ### checkSbpTransactionStatus

    public boolean checkSbpTransactionStatus(Transaction transaction) throws Exception
    Throws:
      `Exception`

  - ### newTransaction

    public Transaction newTransaction(int contractId, BigDecimal sum, boolean autopaymentTransaction, BGTransactionType transactionType) throws Exception
    Throws:
      `Exception`

  - ### registerOrder

    public Transaction registerOrder(int contractId, String contractTitle, String customerAddress, BigDecimal sum, Map<String,Object> dataMap, boolean autopaymentTransaction, boolean requestBindingId, String returnUrl) throws Exception
    Throws:
      `Exception`

  - ### paymentOrderBinding

    public String paymentOrderBinding(Transaction transaction, Autopayment autopayment) throws Exception
    14.3.2.1. Запрос проведения платежа по связкам Для проведения платежа по связкам используется запрос paymentOrderBinding.do (см. раздел "Координаты подключения"). Параметры запроса: Название Тип Обязательно Описание userName AN..30 да Логин магазина, полученный при подключении password AN..30 да Пароль магазина, полученный при подключении mdOrder ANS36 да Номер заказа в платежной системе. Уникален в пределах системы. bindingId AN..255 да Идентификатор связки созданной при оплате заказа или использованной для оплаты. Присутствует только если магазину разрешено создание связок. cvc N..3 нет CVC код. Этот параметр обязателен, если для мерчанта не выбрано разрешение "Может проводить оплату без подтверждения CVC". language A2 нет Язык в кодировке ISO 639-1. Если не указан, будет использован язык, указанный в настройках магазина как язык по умолчанию (default language) Параметры ответа: Название Тип Обязательно Описание redirect ANS..* (при SSL платеже) URL, на который производится переадресация после платежа info ANS..* да Результат попытки оплаты. Возможные значения представлены ниже: Ваш платёж обработан, происходит переадресация... Операция отклонена. Проверьте введенные данные, достаточность средств на карте и повторите операцию. Происходит переадресация... Извините, платеж не может быть совершен. Происходит переадресация... Операция отклонена. Обратитесь в магазин. Происходит переадресация... Операция отклонена. Обратитесь в банк, выпустивший карту. Происходит переадресация... Операция невозможна. Аутентификация держателя карты завершена неуспешно. Происходит переадресация... Нет связи с банком. Повторите позже. Происходит переадресация... Истек срок ожидания ввода данных. Происходит переадресация... Не получен ответ от банка. Повторите позже. Происходит переадресация... success N1 да Код ошибки error AN..* (при ошибке) Сообщение об ошибке acsUrl ANS..* (при 3DS платеже) URL для перехода на ACSpaReq ANS..* (при 3DS платеже) Payment Authentication Request termUrl ANS..* (при 3DS платеже) URL для возврата с ACS
    Throws:
      `Exception`

  - ### addTransactionPayment

    public void addTransactionPayment(Transaction transaction, String transactionParameters) throws Exception
    Throws:
      `Exception`

  - ### addTransactionParameters

    public static void addTransactionParameters(Transaction transaction, String params)

  - ### setConnectionTimeout

    protected void setConnectionTimeout(HttpsURLConnection connection)
    Overrides:
      `setConnectionTimeout` in class `AbstractTransactionManager<Transaction>`

  - ### getOAuthToken

    public OAuthToken getOAuthToken(String scope) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### sbpOrderStatus

    public String sbpOrderStatus(String oauthToken, Transaction transaction) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### sbpOrderCreation

    public String sbpOrderCreation(String oauthToken, int contractId, BigDecimal sum) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`